Bug 233014 - mkinitrd hangs both during kernel update and as a standalone command
mkinitrd hangs both during kernel update and as a standalone command
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-19 17:17 EDT by Pietro Amodeo
Modified: 2008-05-06 15:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:23:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
List of installed RPM's detected during (hanged) pup updating (32.48 KB, text/plain)
2007-03-21 15:11 EDT, Pietro Amodeo
no flags Details

  None (edit)
Description Pietro Amodeo 2007-03-19 17:17:07 EDT
Description of problem:

mkinitrd hangs with the following output if run with the -v option:

 /sbin/mkinitrd -v /boot/initrd-2.6.19-1.2911.fc6.img 2.6.19-1.2911.fc6
Creating initramfs
Looking for deps of module uhci-hcd
Looking for deps of module ohci-hcd
Looking for deps of module ehci-hcd
Looking for deps of module ext3: jbd 
Looking for deps of module jbd


Version-Release number of selected component (if applicable):

Any mkinitrd and kernel version from original FC6 distribution up to the last
updates

How reproducible:

Both running mkinitrd and trying to update kernel

Steps to Reproduce:
1. see above
2.
3.
  
Actual results:

see above

Expected results:

initrd file

Additional info:

1) The same result is obtained by excluding any module or option (scsi, raid,
etc) in the mkinitrd command

2) The PC where the problem occurs is a Pentium-IV with hyper-threading support,
on which Fedora installs and runs a SMP kernel.

3) The FC6 installation was affected by the infamous i586-kernel issue, but the
mkinitrd problem still persists after installation of the 686 kernel

4) Presently, the kernel version running on the PC is (output of uname -a):
2.6.18-1.2798.fc6 #1 SMP Mon Oct 16 14:37:32 EDT 2006 i686 i686 i386 GNU/Linux
Comment 1 Pietro Amodeo 2007-03-21 15:11:59 EDT
Created attachment 150611 [details]
List of installed RPM's detected during (hanged) pup updating
Comment 2 Pietro Amodeo 2007-03-21 15:19:21 EDT
News about mkinitrd bug:
FC6 reinstalled from scratch (with kernel=i686 option to prevent installation of
i586 kernel). When, after first reboot, pup tries to update installed packages
it hangs, as usual, during kernel update.
A list of installed packages, as detected by "rpm -qa" while pup hangs waiting
for mkinird has been attached.

The "ps -ef" output related to the pup update is:

root      3403  3400  1 12:13 ?        00:05:46 /usr/bin/python -tt /usr/sbin/pup
root     26895  3403  0 18:46 ?        00:00:00 /bin/sh /var/tmp/rpm-tmp.75598 2
root     26899 26895  0 18:46 ?        00:00:00 /bin/bash /sbin/new-kernel-pkg
--package kernel --mkinitrd --depmod --install 2.6.20-1.2925.fc6
root     26908 26899  0 18:46 ?        00:00:00 /bin/bash --norc /sbin/mkinitrd
--allow-missing -f /boot/initrd-2.6.20-1.2925.fc6.img 2.6.20-1.2925.fc6
root     27069 26908  0 18:46 ?        00:00:00 /bin/bash --norc /sbin/mkinitrd
--allow-missing -f /boot/initrd-2.6.20-1.2925.fc6.img 2.6.20-1.2925.fc6
root     27071 27069  0 18:46 ?        00:00:00 /sbin/nash --forcequiet
Comment 3 Pietro Amodeo 2007-03-21 17:07:13 EDT
Further news:

now mkinitrd (and kernel update) works after setting:
acpi=off pci=noacpi noapic pci=biosirq apm=off
among boot parameters.
Suggestions are welcome to identify boot/bios parameters responsable for the
mkinitrd malfunction without having to perform a systematic trial-and-error
search...
Comment 4 frollic nilsson 2007-04-09 06:52:37 EDT
I've got the same problem on a working system, rpm hang during kernel install.
"ps -ef" displays:

root     21967 21549  0 11:47 pts/6    00:00:02 rpm -ivh
kernel-2.6.20-1.2933.fc6.i686.rpm
root     21974 21967  0 11:48 pts/6    00:00:00 /bin/sh /var/tmp/rpm-tmp.10710 2
root     21978 21974  0 11:48 pts/6    00:00:00 /bin/bash /sbin/new-kernel-pkg
--package kernel --mkinitrd --depmod --install 2.6.20-1.2933.fc6
root     21988 21978  0 11:48 pts/6    00:00:00 /bin/bash --norc /sbin/mkinitrd
--allow-missing -f /boot/initrd-2.6.20-1.2933.fc6.img 2.6.20-1.2933.fc6
root     22153 21988  0 11:48 pts/6    00:00:00 /bin/bash --norc /sbin/mkinitrd
--allow-missing -f /boot/initrd-2.6.20-1.2933.fc6.img 2.6.20-1.2933.fc6
root     22154 22153  0 11:48 pts/6    00:00:00 lvm.static lvs
--ignorelockingfailure --noheadings -o vg_name /dev/md0

Tried downgrading nash and mkinitrd to 5.1.19.0.2, but the problem didn't go away. 
Also tried to install the three most recent kernels I had on my local fedora
mirror site: 
2.6.19-1.2911.6.5.fc6.i686
2.6.20-1.2925.fc6.i686
2.6.20-1.2933.fc6.i686

all hung on the same operation.
currently running kernel is 2.6.18-1.2798.

I also tried to reboot with the parameters specified by the Pietro, and was
afterwards able to install the new kernel. I tried to remove the parameters and
while beeing on the .2933 kernel install the .2925 kernel, this worked as well.
Comment 5 Pietro Amodeo 2007-04-12 09:10:53 EDT
mkinitrd hangs again!!!
Upon updating from 2.6.20-1.2925.fc6 to 2.6.20-1.2933.fc6 kernel, in spite of
acpi=off pci=noacpi noapic pci=biosirq apm=off settings in /etc/grub.conf that
previously fixed the problem, mkinitrd hangs again.
Comment 6 Bug Zapper 2008-04-04 02:35:46 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 15:23:03 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.